List email-only users
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/users/email-only \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/v1/users/email-only"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/v1/users/email-only', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pageInfo": {
"hasNextPage": true,
"nextCursor": "bob@example.com",
"pageSize": 20,
"totalRecords": 50
},
"records": [
{
"email": "alice@example.com",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"user_attributes": {
"omni_user_email": "alice@example.com",
"omni_user_name": "alice@example.com",
"omni_user_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"omni_is_org_admin": "false",
"omni_user_timezone": "America/New_York",
"department": "Engineering"
}
},
{
"email": "bob@example.com",
"user_id": "550e8400-e29b-41d4-a716-446655440001",
"user_attributes": {
"omni_user_email": "bob@example.com",
"omni_user_name": "bob@example.com",
"omni_user_id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
"omni_is_org_admin": "false",
"omni_user_timezone": "Europe/London"
}
}
]
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}Users
List email-only users
Retrieve email-only users with their user attributes, with support for cursor-based pagination and filtering
GET
/
v1
/
users
/
email-only
List email-only users
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Query Parameters
Filter users by email (partial match, case-insensitive)
Pagination cursor from previous response
Results per page
Required range:
x <= 20Sort order:
asc- Ascending order (A-Z)desc- Descending order (Z-A)
Available options:
asc, desc Was this page helpful?
⌘I

